import { utils } from "~/utils/utilities";
import Base from "./base";
import { H3Event } from "h3";

export  type Author = {
    id:number;
    siteId:number;
    userId:number;
    title:string
    code:string;
    description?:string;
    thumbnail?:string;
    feature?:string;
    type?:number;
}

export const fetchByCode = async (event: H3Event) => {
    try {
        const { apiUrl } = useRuntimeConfig().public
        const { authorCode }: any = getQuery(event);
        const query = getQuery(event)
        const { items }: any = await $fetch(`${apiUrl}/cms/author/code:${authorCode}`, {
            method: 'GET',
            headers: new Headers({
                site: getSite(query.site).toString(),
            }),
        })
        return items[0]
    } catch (error) {
        handleError(error)
    }
}